### Name: indexByRow
### Title: Translates matrix indices by rows into indices by columns
### Aliases: indexByRow indexByRow,matrix-method
### Keywords: iteration logic

### ** Examples

 x <- matrix(NA, nrow=5, ncol=4)
 y <- t(x)
 idxs <- seq(along=x)

 # Assign by columns
 x[idxs] <- idxs
 print(x)

 # Assign by rows
 y[indexByRow(y, idxs)] <- idxs
 print(y)

 stopifnot(x == t(y))



